## org.apache.cassandra.cql3.statements
Class CFStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement

Direct Known Subclasses:
  CreateColumnFamilyStatement.RawStatement, ModificationStatement, SchemaAlteringStatement, SelectStatement.RawStatement, TruncateStatement

    public abstract class CFStatement

extends ParsedStatement

Abstract class for statements that apply on a given column family.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary
`protected CFName` `cfName`

Constructor Summary
`protected` `CFStatement(CFName cfName)`

Method Summary
`java.lang.String` `columnFamily()`
`java.lang.String` `keyspace()`
`void` `prepareKeyspace(ClientState state)`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, prepare, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cfName

    protected final CFName cfName

Constructor Detail

### CFStatement

    protected CFStatement(CFName cfName)

Method Detail

### prepareKeyspace

    public void prepareKeyspace(ClientState state)
                         throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### keyspace

    public java.lang.String keyspace()

### columnFamily

    public java.lang.String columnFamily()

Copyright © 2013 The Apache Software Foundation